MATLAB Answers

License manager version required for R2019b

18 views (last 30 days)
Kazi Anwar
Kazi Anwar on 4 Oct 2019
Commented: Frank Prattini on 12 May 2020
Hi, we are currently on v11.16.2. When I go to the license file download page, I get a message that tells me I need to upgrade my license manager. The link at that page takes me to a page to download 11.16.2.1. Is that version of license manager required for matlab R2019b? I do not wish to change the license manager unless it is required for the latest version.
thanks,
Kazi Anwar
Northwestern University

  0 Comments

Sign in to comment.

Answers (3)

Sahithi Kanumarlapudi
Sahithi Kanumarlapudi on 4 Nov 2019
You can contact the MathWorks support team to help you solve this issue

  0 Comments

Sign in to comment.


Andrew
Andrew on 13 Dec 2019
Did you ever get an answer to this question? We also have problems using an older license server with a newer license file. It worked (and still works) fine for Matlab R2019a but we cannot start Matlab 2019b despite upgrading the license file.

  0 Comments

Sign in to comment.


Kristian
Kristian on 6 Jan 2020
Hi,
Same problem here.
New MLM vendor daemon, new FlexLM lmgrd/lmutil 11.16.2.1 and new R2019b licensefile, but no go.
(lmgrd) MLM exited with status 1 signal = 17
(lmgrd) Since this is an unknown status, license server manager will attempt to re-start the vendor daemon
and it just keep repeating itself.
If I do an lmstat I get "Network connect to THIS_HOST failed (-95, 378).
Had to rollback to earlier version R2019a :/

  2 Comments

Kristian
Kristian on 18 Jan 2020
Ok.
I have now solved my problem.
The new MLM vendor-daemon is not compatible with RHEL7.7 (the docs say its compatible with RHEL7.3 and higher).
The incompability is due to RHEL7.7 does not provide the correct minversion of libstdc++. Rhel 7.7 provides GLIBCXX_3.4.19 but MLM requires GLIBCXX_3.4.20 and GLIBCXX_3.4.21.
The required file is contained in the download in /sys/os/glnx.
So:
$ sudo vi /etc/ld.so.conf.d/matlab_mlm.conf
add (correct to the path were you have your libstdc++.so.6/libstdc++.so.6.0.22 files)
/opt/matlab/sys/os/glnx64
do:
$ sudo ldconfig
and restart the whole thing and you should be good to go with MLM: UP v11.16.2
Kristian

Sign in to comment.

Community Treasure Hunt

Find the treasures in MATLAB Central and discover how the community can help you!

Start Hunting!